<?php

namespace WPGPL\Child\Utils;

if (!defined('ABSPATH')) {
    exit;
}

class FileSystemUtils {
    public static function init_filesystem() {
        if (!function_exists('request_filesystem_credentials')) {
            require_once ABSPATH . 'wp-admin/includes/file.php';
        }

        global $wp_filesystem;
        if (!WP_Filesystem()) {
            return new \WP_Error('filesystem_error', 'Não foi possível acessar o sistema de arquivos.');
        }

        return true;
    }
}
