<?php
/**
 * Plugin Name: WPGPL Child
 * Description: Fornece uma conexão segura entre seu painel WPGPL Vault e seus sites WordPress. WPGPL Child permite que você gerencie sites WP a partir de um local central.
 * Version: 1.6
 * Author: Ian Chamba
 * Author URI: https://wpgpl.com.br
 * Requires at Least: 6.0
 * Requires PHP: 7.4
 * License: GPL-2.0+
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 */

if (!defined('ABSPATH')) {
    exit;
}

if ( ! defined( 'WPGPL_CHILD_PLUGIN_PATH' ) ) {
    define( 'WPGPL_CHILD_PLUGIN_PATH', plugin_dir_path( __FILE__ ) );
}

if (file_exists(WPGPL_CHILD_PLUGIN_PATH . '/vendor/autoload.php')) {
    require_once WPGPL_CHILD_PLUGIN_PATH . '/vendor/autoload.php';
}

require_once WPGPL_CHILD_PLUGIN_PATH . 'includes/WpgplChild.php';

WPGPL\Child\WpgplChild::init();
