document.addEventListener("DOMContentLoaded", function () {
    const e = document.querySelectorAll(".tab-button"),
        t = document.querySelectorAll(".tab-content");

    function n() {
        t.forEach((e) => (e.style.display = "none")), e.forEach((e) => e.classList.remove("active-tab"));
    }

    function c(c) {
        (t[c].style.display = "block"), e[c].classList.add("active-tab");
    }

    e.forEach((e, t) => {
        e.addEventListener("click", function () {
            n(), c(t);
        });
    }),
    n(),
    c(0),
    document.querySelectorAll(".archive-item").forEach(function (e) {
        e.addEventListener("click", function () {
            const name = e.getAttribute("data-name"),
                  path = e.getAttribute("data-path"), // Capture o data-path
                  type = e.getAttribute("data-type");
                  
            // Confirmação antes de arquivar o item
            if (confirm("Tem certeza de que deseja arquivar este item?")) {
                jQuery.ajax({
                    url: ajaxurl,
                    method: "POST",
                    data: { action: "wpgpl_archive_item", name: name, path: path, type: type }, // Envie o path no AJAX
                    success: function () {
                        if ("WordPress Plugins" === type) {
                            jQuery.ajax({
                                url: ajaxurl,
                                method: "POST",
                                data: {
                                    action: "save_wpgpl_vault_auto_update_plugin",
                                    security: jQuery("#wpgpl_vault_nonce_field").val(),
                                    enabled: 0,
                                    plugin: path // Utilize o path no auto-update
                                },
                                success: function () {
                                    alert("O item foi arquivado com sucesso. Atualize a página para ver as modificações.");
                                },
                                error: function () {
                                    alert("Erro ao arquivar o plugin.");
                                }
                            });
                        } else if ("WordPress Themes" === type) {
                            jQuery.ajax({
                                url: ajaxurl,
                                method: "POST",
                                data: {
                                    action: "save_wpgpl_vault_auto_update_theme",
                                    security: jQuery("#wpgpl_vault_nonce_field").val(),
                                    enabled: 0,
                                    theme: path // Utilize o path no auto-update
                                },
                                success: function () {
                                    alert("O item foi arquivado com sucesso. Atualize a página para ver as modificações.");
                                },
                                error: function () {
                                    alert("Erro ao arquivar o tema.");
                                }
                            });
                        }
                    },
                    error: function () {
                        alert("Erro ao arquivar o item.");
                    }
                });
            } else {
                alert("Ação cancelada.");
            }
        });
    });

    document.querySelectorAll(".unarchive-item").forEach(function (e) {
        e.addEventListener("click", function () {
            const path = e.getAttribute("data-path"); // Capture o data-path

            // Confirmação antes de desarquivar o item
            if (confirm("Tem certeza de que deseja desarquivar este item?")) {
                jQuery.ajax({
                    url: ajaxurl,
                    method: "POST",
                    data: { action: "wpgpl_unarchive_item", path: path }, // Envie o path no AJAX
                    success: function () {
                        alert("O item foi desarquivado com sucesso. Atualize a página para ver as modificações.");
                    },
                    error: function () {
                        alert("Erro ao desarquivar o item.");
                    }
                });
            } else {
                alert("Ação cancelada.");
            }
        });
    });
});