<?php

if (!defined('ABSPATH')) {
    exit;
}

function wpgpl_vault_license_admin_notice() {
    global $GLOBALS;
    $license_key = $GLOBALS['wpgpl_license_key'];
    $plugin_name = $GLOBALS['wpgpl_plugin_name'];
    $plugin_icon_url = $GLOBALS['wpgpl_plugin_icon_url'];

    if (empty($license_key)) {
        ?>
        <div class="notice notice-error is-dismissible wpgpl-vault-license-notice">
            <p>
                <img src="<?php echo esc_url($plugin_icon_url); ?>" alt="Plugin Icon" style="width:20px; height:auto; color: #000; vertical-align:middle; margin-right:5px;" />
                <strong><?php echo esc_html($plugin_name); ?>:</strong> A chave de licença não está ativa. Por favor, ative a licença para usar todas as funcionalidades do plugin.
            </p>
        </div>
        <?php
    }
}
add_action('admin_notices', 'wpgpl_vault_license_admin_notice');