jQuery(document).ready(function($) {
    const e = document.querySelectorAll(".tab-button"),
        t = document.querySelectorAll(".tab-content");

    function n() {
        t.forEach((e) => (e.style.display = "none")), e.forEach((e) => e.classList.remove("active-tab"));
    }

    function c(c) {
        (t[c].style.display = "block"), e[c].classList.add("active-tab");
    }

    e.forEach((e, t) => {
        e.addEventListener("click", function () {
            n(), c(t);
        });
    }),
    n(),
    c(0),
    document.querySelectorAll(".archive-item").forEach(function (e) {
        e.addEventListener("click", function () {
            const domain = $('#delete-ip-btn').data('domain');  // Pegue o domínio do botão
            const name = e.getAttribute("data-real-name");
            const type = e.getAttribute("data-type");
            const nonce = e.getAttribute("data-nonce");

            // Confirmação antes de arquivar o item
            if (confirm("Tem certeza de que deseja arquivar este item?")) {
                jQuery.ajax({
                    url: ajaxurl,
                    method: "POST",
                    data: {
                        action: "wpgpl_child_archive_item",
                        domain: domain,
                        name: name,
                        type: type,
                        security: nonce
                    },
                    success: function () {
                        alert("O item foi arquivado com sucesso. Atualize a página para ver as modificações.");
                    },
                    error: function () {
                        alert("Erro ao arquivar o item.");
                    }
                });
            }
        });
    });

    document.querySelectorAll(".unarchive-item").forEach(function (e) {
        e.addEventListener("click", function () {
            const domain = $('#delete-ip-btn').data('domain');  // Pegue o domínio do botão
            const name = e.getAttribute("data-name");
            const type = e.getAttribute("data-type");
            const nonce = e.getAttribute("data-nonce");

            // Confirmação antes de desarquivar o item
            if (confirm("Tem certeza de que deseja desarquivar este item?")) {
                jQuery.ajax({
                    url: ajaxurl,
                    method: "POST",
                    data: {
                        action: "wpgpl_child_unarchive_item",
                        domain: domain,
                        name: name,
                        type: type,
                        security: nonce
                    },
                    success: function () {
                        alert("O item foi desarquivado com sucesso. Atualize a página para ver as modificações.");
                    },
                    error: function () {
                        alert("Erro ao desarquivar o item.");
                    }
                });
            }
        });
    });
});